## BtSongIONativeXML BtSongIONativeXML — class for song input and output in builtin native format |

## Types and Values

struct | BtSongIONativeXML
struct | BtSongIONativeXMLClass

## Object Hierarchy

        GObject
        ╰── BtSongIO
            ╰── BtSongIONative
                ╰── BtSongIONativeXML

## Includes

    #include <libbtcore/core.h>

## Description

This internal BtSongIONative module implements loading and saving of an own xml format without externals.

## Functions

## Types and Values

### struct BtSongIONativeXML

    struct BtSongIONativeXML;

object for song input and output in native zip/xml format

### struct BtSongIONativeXMLClass

    struct BtSongIONativeXMLClass {
      const BtSongIONativeClass parent;
    };

Class for song input and output in native zip/xml format

#### Members

const BtSongIONativeClass `parent`; | parent class type |